Skip to Content
API 參考Instagram

Instagram API

Instagram 貼文、用戶個人檔案、留言與標籤搜尋。

  • 標籤搜尋依指定關鍵字回傳匹配的 hashtag
  • 用戶個人檔案包含簡介、粉絲/追蹤數及近期貼文
  • 使用 Instagram 用戶名稱(例如 zuck)查詢個人檔案

標籤

GET /instagram/tags/search — 2 點數

依關鍵字搜尋 Instagram 標籤。

參數類型必填說明
qstring標籤搜尋關鍵字
curl -H "x-api-key: sk_byc_xxx" \ "https://api.bycrawl.com/instagram/tags/search?q=travel"

回應

{ "tags": [ { "name": "travel", "mediaCount": 793685751, "formattedMediaCount": "793M" }, { "name": "travelphotographer", "mediaCount": 5620420, "formattedMediaCount": "5.6M" } ] }

用戶

GET /instagram/users/:username — 4 點數

取得 Instagram 用戶個人檔案及近期貼文。

參數類型必填說明
usernamestringInstagram 用戶名稱
curl -H "x-api-key: sk_byc_xxx" \ https://api.bycrawl.com/instagram/users/zuck

回應

{ "username": "nasa", "fullName": "NASA", "biography": "Exploring the universe and our home planet...", "followerCount": 99209932, "followingCount": 93, "postCount": 4628, "isVerified": true, "isPrivate": false, "profilePicUrl": "https://...", "externalUrl": "https://www.nasa.gov/", "category": null, "bioLinks": [ { "title": "", "url": "https://www.nasa.gov" } ], "isProfessional": true, "pronouns": [], "recentPosts": [ { "id": "3846946165649269175", "shortcode": "DVjGSfZk2G3", "caption": "Catch this month's planetary hangout...", "likeCount": 40190, "commentCount": 243, "isVideo": true, "thumbnailUrl": "https://...", "takenAt": "2026-03-06T15:42:53.000Z", "mediaType": "video", "location": null, "taggedUsers": [], "displayUrl": "https://...", "accessibilityCaption": null } ] }

貼文

GET /instagram/posts/:shortcode — 2 點數

依 shortcode 取得單一 Instagram 貼文。

參數類型必填說明
shortcodestring貼文短代碼(取自 URL)
curl -H "x-api-key: sk_byc_xxx" \ https://api.bycrawl.com/instagram/posts/CxBcDeFgHiJ

回應

{ "id": "3846946165649269175", "shortcode": "DVjGSfZk2G3", "caption": "Catch this month's planetary hangout...", "likeCount": 40192, "commentCount": 243, "isVideo": true, "thumbnailUrl": "https://...", "takenAt": "2026-03-06T15:42:53.000Z", "mediaType": "video", "location": null, "taggedUsers": [], "displayUrl": "https://...", "accessibilityCaption": null, "owner": { "id": "528817151", "username": "nasa", "fullName": "NASA", "profilePicUrl": "https://...", "isVerified": true }, "videoUrl": "https://...", "dimensions": { "width": 1080, "height": 1920 }, "videoViewCount": 371334 }

GET /instagram/posts/:shortcode/comments — 5 點數

取得 Instagram 貼文的留言,支援分頁。

參數類型必填說明
shortcodestring貼文短代碼
cursorstring分頁游標
curl -H "x-api-key: sk_byc_xxx" \ https://api.bycrawl.com/instagram/posts/CxBcDeFgHiJ/comments

回應

{ "comments": [ { "id": "18203561371331194", "text": "Can NASA lay an egg that looks like the moon...", "createdAt": "2026-03-07T16:50:06.000Z", "owner": { "username": "para_dise3339", "profilePicUrl": "https://..." }, "likeCount": 0, "replyCount": 0 } ], "nextCursor": "eyJzZXJ2ZXJfY3Vyc29yIjogIlFWRk..." }

GET /instagram/users/:username/posts — 5 點數

取得 Instagram 用戶的貼文,支援分頁。

參數類型必填說明
usernamestringInstagram 用戶名稱
cursorstring分頁游標
curl -H "x-api-key: sk_byc_xxx" \ "https://api.bycrawl.com/instagram/users/zuck/posts"

回應

{ "posts": [ { "id": "3846946165649269175", "shortcode": "DVjGSfZk2G3", "caption": "Catch this month's planetary hangout...", "likeCount": 40192, "commentCount": 243, "isVideo": true, "thumbnailUrl": "https://...", "takenAt": "2026-03-06T15:42:53.000Z", "mediaType": "video", "location": null, "taggedUsers": [], "displayUrl": "https://...", "accessibilityCaption": null } ], "nextCursor": "eyJ1IjoiNTI4ODE3MTUxIiwiYyI6Ij..." }